@use "ec-simpl-labs-theme" as slabs;

body {
  margin: 0;
  font: slabs.$font;
}

// TEXT COLOR
.text-warning {
  color: slabs.$eu-warning !important;
}
.text-primary {
  color: slabs.$eu-primary !important;
}
.text-primary-400 {
  color: slabs.$eu-primary-400 !important;
}
.text-primary-900 {
  color: slabs.$eu-primary-900 !important;
}
.text-success {
  color: slabs.$eu-success !important;
}
.text-error {
  color: slabs.$eu-error !important;
}
.text-grey-500 {
  color: slabs.$grey-500 !important;
}
.text-grey-600 {
  color: slabs.$grey-600 !important;
}
.text-dark-primary {
  color: slabs.$eu-dark-primary-text !important;
}

// BACKGROUND COLOR
.bg-eu {
  background-color: slabs.$background !important;
}
.bg-ec {
  background-color: slabs.$ec-background !important;
}
.bg-grey-50 {
  background-color: slabs.$grey-50 !important;
}
.bg-grey-300 {
  background-color: slabs.$grey-300 !important;
}
.bg-grey-500 {
  background-color: slabs.$grey-500 !important;
}
.bg-primary-100 {
  background-color: slabs.$eu-primary-100 !important;
}
.bg-primary-900 {
  background-color: slabs.$eu-primary-900 !important;
}
.bg-success {
  background-color: slabs.$eu-success !important;
}
.bg-error {
  background-color: slabs.$eu-error !important;
}

// FILTERS SELECT FIELD
.slabs-select-filter {
  --mdc-outlined-text-field-outline-color: #3860ed !important;
  --mdc-outlined-text-field-label-text-color: #3860ed !important;
  --mat-select-enabled-arrow-color: #3860ed !important;
}

// DIALOGS
.warning-dialog .warning-dialog-header {
  background-color: slabs.$grey-600 !important;
  color: slabs.$slabs-white !important;
  margin-bottom: 1rem !important;
}
.warning-dialog .warning-dialog-content {
  color: slabs.$grey-600 !important;
}
.error-dialog {
  color: slabs.$grey-600 !important;
  width: 40vw;
}
.error-dialog .error-dialog-header {
  background-color: slabs.$eu-error !important;
  color: slabs.$slabs-white !important;
  margin-bottom: 1rem !important;
}
.error-dialog .error-dialog-content {
  color: slabs.$grey-600 !important;
}
.add-nodes-dialog .add-nodes-dialog-header {
  font-weight: 600 !important;
  font-size: 24px !important;
  background-color: slabs.$background !important;
}
.add-nodes-dialog .add-nodes-dialog-header .mat-mdc-icon-button {
  background-color: slabs.$background !important;
}

// MISCELLANEA
.slabs-list-option-primary * {
  color: slabs.$eu-primary !important;
}
.border-primary {
  border: 1px solid slabs.$eu-primary !important;
}
.border-grey-300 {
  border: 1px solid slabs.$grey-300 !important;
}
.border-grey-500 {
  border: 1px solid slabs.$grey-500 !important;
}
.border-grey-600 {
  border: 1px solid slabs.$grey-600 !important;
}
.border-grey-900 {
  border: 1px solid slabs.$grey-900 !important;
}
.card-selected {
  border: 4px solid slabs.$grey-800 !important;
}

.create-data-space-title.ec-background,
.create-data-space-btns-wrapper.ec-background {
  background-color: slabs.$background !important;
}
.ec-background .mat-horizontal-stepper-header-container {
  background-color: slabs.$background !important;
  margin-bottom: 1.6rem !important;
  height: 4.4rem !important;
}

// CHIPS
.ec-chips-theme .mat-mdc-chip.slabs-chip.mat-requested_deletion {
  --mdc-chip-elevated-container-color: #fbe4e5 !important;
  --mdc-chip-label-text-color: #ea6a05 !important;
}
.ec-chips-theme .mat-mdc-chip.slabs-chip.mat-paused {
  --mdc-chip-elevated-container-color: #e0e0e0 !important;
  --mdc-chip-label-text-color: #212121 !important;
}
.ec-chips-theme .mat-mdc-chip.slabs-chip.mat-installing {
  --mdc-chip-elevated-container-color: #c3cffa !important;
  --mdc-chip-label-text-color: #1733e0 !important;
}

// Simpl-Labs PROGRESS BAR
:root {
  --slabs-progress-bar-height: 12px;
}
.slabs-progress-bar {
  height: var(--slabs-progress-bar-height);
  border-radius: var(--slabs-progress-bar-height);
}
.error-progress-margin,
.success-progress-margin {
  margin-top: calc(-1 * var(--slabs-progress-bar-height));
}

// MINIMIZED CONFORMANCE TESTS PAGE (SNACKBAR)
.minimized-tests * {
  background-color: slabs.$background !important;
  color: slabs.$eu-dark-primary-text;
}

// .mdc-snackbar > .mdc-snackbar__surface {
//   padding-right: 0;
// }
